/// <reference types="node" />
import { Context } from "@code-engine/types";
import { Stats } from "fs";
import { NormalizedConfig } from "./normalize-config";
/**
 * Information about a file or directory path.
 */
export interface PathInfo {
    absolutePath: string;
    stats: Stats;
}
/**
 * Information about a directory path.
 */
export interface DirPathInfo extends PathInfo {
    dir: string;
}
/**
 * Information about a file path.
 */
export interface FilePathInfo extends PathInfo {
    dir: string;
    filename: string;
}
/**
 * Returns detailed information about the config path.
 */
export declare function getPathInfo(config: NormalizedConfig, context: Context): Promise<DirPathInfo | FilePathInfo>;
